# Uses of Interface
org.opensaml.saml.saml2.core.AttributeStatement

Packages that use AttributeStatement
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.testing

## Uses of AttributeStatement in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return types with arguments of type AttributeStatement
Modifier and Type
Method
Description
`List<AttributeStatement>`
Assertion.`getAttributeStatements()`
Gets the list of AttributeStatement attached to this assertion.

## Uses of AttributeStatement in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement AttributeStatement
Modifier and Type
Class
Description
`class`
`AttributeStatementImpl`
A concrete implementation of `AttributeStatement`.
Methods in org.opensaml.saml.saml2.core.impl that return AttributeStatement
Modifier and Type
Method
Description
`AttributeStatement`
AttributeStatementBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AttributeStatement`
AttributeStatementBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.core.impl that return types with arguments of type AttributeStatement
Modifier and Type
Method
Description
`List<AttributeStatement>`
AssertionImpl.`getAttributeStatements()`
Gets the list of AttributeStatement attached to this assertion.

## Uses of AttributeStatement in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return AttributeStatement
Modifier and Type
Method
Description
`static AttributeStatement`
SAML2ActionTestingSupport.`buildAttributeStatement()`
Builds an empty attribute statement.